Package org.drinkless.tdlib

# Class TdApi.EmojiCategory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EmojiCategory

Enclosing class:
  `TdApi`

public static class TdApi.EmojiCategory extends TdApi.Object
Describes an emoji category.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Sticker`
  `icon`
  Custom emoji sticker, which represents icon of the category.
  `boolean`
  `isGreeting`
  True, if the category must be shown first when choosing a sticker for the start page.
  `String`
  `name`
  Name of the category.
  `TdApi.EmojiCategorySource`
  `source`
  Source of stickers for the emoji category.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmojiCategory()`
  Describes an emoji category.
  `EmojiCategory(String name, TdApi.Sticker icon, TdApi.EmojiCategorySource source, boolean isGreeting)`
  Describes an emoji category.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Name of the category.

  - ### icon

    public TdApi.Sticker icon
    Custom emoji sticker, which represents icon of the category.

  - ### source

    public TdApi.EmojiCategorySource source
    Source of stickers for the emoji category.

  - ### isGreeting

    public boolean isGreeting
    True, if the category must be shown first when choosing a sticker for the start page.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmojiCategory

    public EmojiCategory()
    Describes an emoji category.

  - ### EmojiCategory

    public EmojiCategory(String name, TdApi.Sticker icon, TdApi.EmojiCategorySource source, boolean isGreeting)
    Describes an emoji category.
    Parameters:
      `name` - Name of the category.
      `icon` - Custom emoji sticker, which represents icon of the category.
      `source` - Source of stickers for the emoji category.
      `isGreeting` - True, if the category must be shown first when choosing a sticker for the start page.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR